.keyboard {
    position: absolute;
    bottom: 40px;
    left: 0;
    margin: 0;
    padding: 10px 0;
    list-style: none;
    overflow: hidden;
    background: #fff;
    box-shadow: inset 0 0 1px black;
}
.keyBlack{
    background: #000;
    box-shadow: inset 0 0 2px #f9f9f9;
}
.keyboard li {
    float: left;
    margin: 0 5px 5px 0;
    width: 25px;
    height: 25px;
    line-height: 25px;
    text-align: center;
    background: #fff;
    border: 1px solid #000;
    border-radius: 2px;
    font-size: 18px;
    user-select: none;
}
.keyboard .symbolBtn{
    display: none;
}
.keyboard .letter{
    display: block;
}
.keyboard.symbolsShow .symbolBtn{
    display: block;
}
.keyboard.symbolsShow .letter{
    display: none;
}
.keyboard span {
    height: 25px;
    width: 100%;
}
#engSymbol li.firstitem{
    margin-left: 17px;
}
#engSymbol li.lastitem {
    margin-right: 17px;
}
#engSymbol li.firstitem2{
    margin-left: 30px;
}
#engSymbol li.lastitem2 {
    margin-right: 30px;
}
#engSymbol li.firstitem3 {
    margin-left: 15px;
}
#engSymbol li.lastitem3 {
    margin-right: 15px;
}
#engSymbol li.firstitem4 {
    font-size: 14px;
    margin-left: 35px;
}
#engSymbol li.lastitem4 {
    margin-right: 35px;
}
.keyboard li i{
    margin: 0;
    font-size: 14px;
}
.keyboard li.symbol {
    width: 43px;
}
.keyboard li.symbol2 {
    width: 18px;
}
.keyboard li.symbol3 {
    width: 30px;
}
.keyboard li.symbol4 {
    width: 40px;
}
.keyboard .space {
    width: 100px;
}
.fa-level-down-alt{
    transform: rotate(90deg);
}
.keyboard.uppercase {
    text-transform: uppercase;
}
.keyboard li:hover {
    position: relative;
    top: 1px;
    left: 1px;
    border-color: rgb(189, 14, 160);
    cursor: pointer;
}
.keyBlack li:hover {
    border-color: #ccc;
}
#ruSymbol {
    display: none;
}
#ruSymbol li.firstitem{
    margin-left: 5px;
}
#ruSymbol li.firstitem1{
    margin-left: 20px;
}
#ruSymbol li.firstitem2{
    margin-left: 10px;
}
#ruSymbol li.firstitem3{
    margin-left: 4px;
}
#ruSymbol li.firstitem4{
    margin-left: 15px;
}
#ruSymbol li.lastitem,
#ruSymbol li.lastitem1,
#ruSymbol li.lastitem2,
#ruSymbol li.lastitem3,
#ruSymbol li.lastitem4{
    margin-right: 5px;
}
#ruSymbol .first {
    width: 19px;
}
#ruSymbol .number {
    width: 27px;
}
#ruSymbol .two {
    width: 23px;
}
#ruSymbol .three {
    width: 20px;
}
#ruSymbol .space {
    width: 115px;
}
#ruSymbol .symbol2 {
    width: 28px;
}
#ruSymbol .symbol3 {
    width: 31px;
}
#ruSymbol .symbol4 {
    width: 50px;
}
#number{
    display: none;
    padding: 20px 0;
}
#number .firstitem,
#number .lastitem,
#number .number,
#number .symbol{
    width: 35px;
}

#number .firstitem {
    margin-left: 5px;
}
#number .lastitem {
    width: 40px;
    margin-right: 5px;
}
#number .space {
    width: 57px;
}